package com.ssj.dao.sys.teacher.dao;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Map;

/**
 * 类名称：CommentDao<br>
 * 类描述：评论数据访问接口<br>
 * 
 * @version v1.0
 */
public interface TeacherDao {

    public Page<Map<String, Object>> findForPageList(Map<String, Object> searchParams, Pageable pageable);
    
    //查询老师学员列表
    public Page<Map<String, Object>> findForPageStudentList(Map<String, Object> searchParams, Pageable pageable);
    
    //查询老师学员的签到消息列表  type=0是未完成，1是已完成
    public List<Map<String, Object>>  findForPageSignList(String teacherId,int type, String vipId);

	public List<Map<String, Object>> findForKmtEditList(String teacherUserId,String vipId);

    public List<Map<String,Object>> findNoConfirmStudentList(String userId);


}
